
%global meadversion 1.7.0
%global namedversion 1.7.0.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 1

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.7.0.redhat-4

Name:           velocity-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Velocity
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: velocity-1.7.0.redhat-4-scm-sources.zip
Source102: velocity-1.7.0.redhat-4-project-sources.tar.gz
Source103: velocity-1.7.0.redhat-4.jar
Source104: velocity-1.7.0.redhat-4-javadoc.jar
Source105: velocity-1.7.0.redhat-4.pom
Source106: velocity-1.7.0.redhat-4-sources.jar
%endif

URL:            http://velocity.apache.org/engine/devel/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/velocity-eap6-%{namedversion}-%{release}-root

%description
Apache Velocity is a general purpose template engine.

%if %with javadoc
%package -n velocity-javadoc
Summary:        Javadoc for velocity
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n velocity-javadoc
%{summary}.
%endif

%prep
%setup -q -n velocity -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/velocity-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/velocity-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/velocity-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/velocity-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/velocity-eap6-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/velocity-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/velocity-eap6-%{namedversion} -x META-INF/\*
%{__ln_s} velocity-eap6-%{namedversion} %{buildroot}%{_javadocdir}/velocity-eap6
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n velocity-eap6
%defattr(0644,root,root,0755)
%doc CONTRIBUTORS LICENSE NOTICE README.txt WHY_TWO_JARS.txt
%{_javadir}/%{name}/velocity-%{namedversion}.jar
%{_javadir}/%{name}/velocity.jar
%exclude %{_javadir}/%{name}/velocity-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/velocity-javadoc.jar
%{_javadir}/%{name}/velocity-%{namedversion}-sources.jar
%{_javadir}/%{name}/velocity-sources.jar

%if %with javadoc
%files -n velocity-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/velocity-eap6-%{namedversion}
%{_javadocdir}/velocity-eap6
%{_javadir}/%{name}/velocity-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/velocity-javadoc.jar
%endif

%changelog
* Mon Jan 05 2015 David Walluck <dwalluck@redhat.com> - 1.7.0-1.redhat_4.1
- update parent

* Fri Oct 04 2013 David Walluck <dwalluck@redhat.com> 0:1.7-3
- convert to MEAD

* Thu Apr 04 2013 Permaine Cheung <pcheung@redhat.com> - 0:1.7-2.1redhat_2
- Use apache-commons-lang-eap6 for the commons-lang dependency

* Wed Mar 27 2013 Tom Hauser <thauser@redhat.com> 0:1.7-2.redhat_2
- Adding patch to modify Implementation-Version in the produced jar

* Fri Mar 08 2013 David Walluck <dwalluck@redhat.com> 0:1.7-2
- fix Requires

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1.2
- Rebuild due to deploy bug, round 2

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1.1
- Rebuild due to deploy bug 

* Mon Feb 25 2013 Tom Hauser <thauser@redhat.com> - 0:1.7-1.redhat_1
- Upgrade to 1.7 
- Remove references to convert, because it is no longer produced by the build

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_2.4
- Rebuild due to deploy bug

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-7.redhat_1.1
- Rebuild using cache signing

* Tue Jul 03 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-7
- provide velocity15

* Tue Jul 03 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-6
- fix bad file ownership
- use real sources from SVN (fixes mising files)
- add missing dep, javadoc, and sources artifacts
- remove online link commands from build.xml
- Obsoletes: velocity15
- add some docs
- fix all symlinks in %%prep
- BuildRequires: maven-ant-tasks
- fix Release tag

* Fri Apr 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-5.redhat_1
- Remove run-time dependencies from main package (Provided)
- Fix release tag

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-4_redhat_1.3
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4_redhat_1.2.1
- Rebuild using cache signing

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4.2
- DO not require avalon-logkit at run-time, not use with AS7

* Mon Feb 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-4.1
- Remove run-time dependency on jakarta-oro and werken-xpath, not in AS7

* Thu Feb 09 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-4
- workaround maven deploy bug

* Tue Feb 07 2012 David Walluck <dwalluck@redhat.com> 0:1.6.3-3
- replace commons-logging with jcl-over-slf4j
- use pristine pom and apply patch
- remove GAV that was only in repolib and not RPM
- fix bad javadoc post/postin
- fix maven deploy
- fix manual copy
- fix repolib file ownership

* Thu Feb 02 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.3-2_redhat_1.1
- Use Servlet 3.0

* Wed Dec 07 2011 Lin Gao <lgao@redhat.com> - 0:1.6.3-2_redhat_1
- werewolf phrase build

* Tue Dec 07 2010 Hui Wang <huwang@redhat.com> - 0:1.6.3-1
- Fix source0 and source1 which are no longer available on that locations
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-0.1.1.1
- rebuilt

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.6.3-0.1.1
- rebuilt

* Wed May 05 2010 David Walluck <dwalluck@redhat.com> 0:1.6.3-0.1
- 1.6.3

* Tue Apr 13 2010 Weinan Li <weli@redhat.com> 1.6.2-4
- Replace excalibur-avalon-logkit with avalon-logkit

* Tue Apr 06 2010 Hui Wang <huwang@redhat.com> 1.6.2-3
- Rebuild

* Wed Nov 18 2009 Yong Yang <yyang@redhat.com> 1.6.2-2
- Add repolib

* Wed Oct 21 2009 David Walluck <dwalluck@redhat.com> 1.6.2-1
- 1.6.2

* Mon Dec 08 2008 David Walluck <dwalluck@redhat.com> 1.6-1
- 1.6

* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 1.5-4
- Auto rebuild for JPackage 5 in mock

* Fri Feb 08 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5-3jpp
- BR java-devel = 1.5.0, Require java >= 1.5.0
- Revert to standard pom
- Put Anakia/Texen dependencies in CLASSPATH

* Fri Nov 16 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5-2jpp
- Modify pom

* Mon Aug 27 2007 Ralph Apel <r.apel at r-apel.de> 0:1.5-1jpp
- Upgrade to 1.5
- Make Vendor, Distribution based on macro

* Tue Aug 08 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.4-6jpp
- Add Requires(x) for javadoc subpackage.

* Sat Jul 22 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.4-5jpp
- Add conditional native compilation with GCJ.
- Apply patch (Gary Benson - Mon Jun 6 2005 - 0:1.4-3jpp_0fc) for 
  removing explicit dependency on servletapi3.
- Replace dependency on servletapi3 with servletapi5.
- Add NOTICE file as per Apache License version 2.0 
  (Gary Benson - Mon Jun 6 2005 - 0:1.4-3jpp_0fc).

* Thu Mar 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.4-4jpp
- Replace avalon-logkit with current excalibur-avalon-logkit

* Thu Sep 23 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-3jpp
- Adapt to jdom-1.0-1 replacing org.jdom.input.DefaultJDOMFactory
  by org.jdom.DefaultJDOMFactory in AnakiaJDOMFactory.java
  as well as using org.jdom.output.Format in AnakiaTask.java
- Therefore require jdom >= 0:1.0-1

* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-2jpp
- Build with ant-1.6.2

* Mon Jun 07 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-1jpp
- 1.4 final
- Patch #0 is unnecessary (upstream)
- We have to build velocity against servletapi3

-* Wed Feb 18 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-0.rc1.2jpp
- Fix a few jpackage related .spec typos, oops.

* Wed Feb 18 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4-0.rc1.1jpp
- Added Patch #0 (velocity-1.4-rc1-ServletTest.patch) from CVS which fixes
  build problems.

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.3.1-2jpp
- Add Epochs to dependencies.
- Add explicit defattrs.
- Add non-versioned javadoc symlinks.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Use full URL in Source.
- Fix -javadoc Group tag.
- Drop patch in favour of ant options.
- BuildRequire jpackage-utils and antlr (latter needed for Anakia tests).

* Sat May 24 2003 Richard Bullington-McGuire <rbulling@pkrinternet.com> 1.3.1-1jpp
- 1.3.1 stable release

* Fri May 23 2003 Richard Bullington-McGuire <rbulling@pkrinternet.com> 1.3-1jpp
- 1.3 stable release
- Updated for JPackage 1.5
- Run JUnit regression tests as part of the build process
- Added patch file to fix test case classpath for JUnit standard locations

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3-0.rc1.1jpp 
- 1.3.0rc1
- dropped patch
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package

* Wed Dec 12 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp
- 1.2
- regenerated patch and corrected manifest
- requires and buildrequires jdom >= 1.0-0.b7.1

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-4jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1-3jpp
- removed packager tag
- new jpp extension

* Thu Nov 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2jpp
- first unified release
- s/jPackage/JPackage

* Fri Sep 14 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1jpp
- first Mandrake release
